Gifli API Docs
Api

Resolve a report

Mark a content report as resolved or dismissed. Owner only.

POST
/apps/{id}/reports/{reportId}/resolve

Authorization

BearerAuth
AuthorizationBearer <token>

Pass a user session token (from /auth/login) or an app API key (gk_…).

In: header

Path Parameters

id*string
reportId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/apps/string/reports/string/resolve" \  -H "Content-Type: application/json" \  -d '{    "status": "resolved"  }'
{  "id": "string",  "gifId": "string",  "reporterId": "string",  "reason": "csam",  "details": "string",  "status": "open",  "resolution": "string",  "resolvedAt": "2019-08-24T14:15:22Z",  "resolvedBy": "string",  "createdAt": "2019-08-24T14:15:22Z"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}